%global forgeurl https://github.com/beltoforion/muparserx
%global tag v%{version}

Name:           muParserX
Version:        4.0.11
Release:        1%{?dist}
Summary:        A C++ Library for Parsing Expressions with Strings, Complex Numbers, Vectors, Matrices and more.

%forgemeta

License:        BSD
URL:            https://beltoforion.de/en/muparserx
Source0:        %{forgesource}

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
The evaluation of a mathematical expression is a standard task required in
many applications. It can be solved by either using a standard math expression
parser such as muparser or by embedding a scripting language such as Lua. There
are however some limitations: Although muparser is pretty fast it will only
work with scalar values and although Lua is very flexible it does neither
support binary operators for arrays nor complex numbers. So if you need a math
expression parser with support for arrays, matrices and strings muparserx may
be able to help you.

%package devel
Summary:        Development Files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}


%prep
%forgesetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_libdir}/libmuparserx.so.4.0.11

%files devel
%{_libdir}/libmuparserx.so
%{_includedir}/muparserx
%{_libdir}/pkgconfig/muparserx.pc
%{_datadir}/cmake/muparserx


%changelog
* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 4.0.11-1
- initial specfile

